Package org.jfree.layouting.renderer.process

## Class UpdateTokensStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateStructuralProcessStep
  - - org.jfree.layouting.renderer.process.UpdateTokensStep

-     public class UpdateTokensStep
      extends IterateStructuralProcessStep

  Creation-Date: 29.11.2006, 21:56:47
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateTokensStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(LogicalPageBox pageBox, LayoutProcess layoutProcess, RenderPageContext pageContext)` |
    `protected java.lang.String` | `resolveToken​(ResolvedToken resolvedToken)` |
    `protected boolean` | `startInlineBox​(InlineRenderBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

      `finishBlockBox, finishInlineBox, finishNormalFlow, finishOtherBox, finishOtherNode, processBoxChilds, processParagraphChilds, startBlockBox, startNormalFlow, startOtherBox, startOtherNode, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateTokensStep

          public UpdateTokensStep​()

  - ### Method Detail

    - #### compute

          public void compute​(LogicalPageBox pageBox,
                              LayoutProcess layoutProcess,
                              RenderPageContext pageContext)

    - #### startInlineBox

          protected boolean startInlineBox​(InlineRenderBox box)

      Overrides:
        `startInlineBox` in class `IterateStructuralProcessStep`

    - #### resolveToken

          protected java.lang.String resolveToken​(ResolvedToken resolvedToken)